Subject: Re: bug#16395: Tab-containing lines displayed with different background?

From: Jan Djärv <[email-masked]>
Date: Fri, 10 Jan 2014 14:36:10 +0100

Hello.

I simply can not reproduce this on any machine with any Linux 
distribution/Gtk+ version that I have.  You have to debug this yourself.

Colors are loaded in xfaces.c, load_color2.
For Gtk+ the background is also set in gtkutil.c, xg_set_widget_bg.

I suggest you do some tracing there and see what the difference is.

	Jan D.

2014-01-09 17:48, Jarosław Rzeszótko skrev:
> By the way, this happens with any background color, not just this
> particular one.
>
> Cheers,
> Jarosław Rzeszótko
>
> 2014/1/9 Jarosław Rzeszótko <[email-masked]>:
>> Hi,
>>
>> It's #141414 vs #151515, might not be easy to notice depending on
>> display/brightness/contrast/..., but you can zoom in and probe with
>> Gimp or something and you will see that, for example, the first line
>> has a #141414 background, and the second one with the hard tabs a
>> #151515. It's pretty strange because there don't seem to be any
>> overlays or anything of this kind.
>>
>> Cheers,
>> Jarosław Rzeszótko
>>
>> 2014/1/9 Eli Zaretskii <[email-masked]>:
>>>> Date: Thu, 9 Jan 2014 14:53:08 +0100
>>>> From: Jarosław Rzeszótko <[email-masked]>
>>>> Cc: [email-masked]
>>>>
>>>> 1. I start emacs with "emacs -Q"
>>>>
>>>> 2. I open up M-x customize-face[RET] default[RET]
>>>>
>>>> 3. I set the background to #151515, foreground to #ffffff, and "click" "Apply"
>>>>
>>>> 4. M-x find-file[RET] ~/text.bar[RET]
>>>>
>>>> 5. I insert into the file some combination of empty lines, lines
>>>> containing text, and lines containing hard tabs and text.
>>>>
>>>> 6. The result can be seen in the screenshot attached.
>>>
>>> Sorry, but I see only one background color on the image, not two.  All
>>> the lines of text and empty lines have the same background.  Am I
>>> missing something?